xine-lib: xine-lib-1.2.13/src/dxr3/dxr3_spu_encoder.c File Reference

xine-lib 1.2.13-20230125hg15249

Macros | Functions
dxr3_spu_encoder.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <float.h>`
`#include "video_out_dxr3.h"`

## Macros
#define | LOG_MODULE "dxr3_spu_encoder"
#define | DIST_COEFF 1024.0

## Functions
spu_encoder_t * | dxr3_spu_encoder_init (void)
void | dxr3_spu_encode (spu_encoder_t *this)
static void | convert_palette (spu_encoder_t *this)
static void | create_histogram (spu_encoder_t *this)
static void | generate_clut (spu_encoder_t *this)
static void | map_colors (spu_encoder_t *this)
static void | convert_clut (spu_encoder_t *this)
static void | convert_overlay (spu_encoder_t *this)
static void | write_rle (spu_encoder_t *this, int *offset, int *higher_nibble, int length, int color)
static void | write_byte (spu_encoder_t *this, int *offset, uint8_t byte)
static void | write_nibble (spu_encoder_t *this, int *offset, int *higher_nibble, uint8_t nibble)

## Macro Definition Documentation

## ◆ DIST_COEFF

#define DIST_COEFF 1024.0

Referenced by generate_clut().

## ◆ LOG_MODULE

#define LOG_MODULE "dxr3_spu_encoder"

## Function Documentation

## ◆ convert_clut()

static void convert_clut | ( | spu_encoder_t * | this | ) |
| static

Referenced by dxr3_spu_encode().

## ◆ convert_overlay()

static void convert_overlay | ( | spu_encoder_t * | this | ) |
| static

References _x_assert, rle_elem_s::color, field, rle_elem_s::len, lprintf, write_byte(), write_nibble(), and write_rle().

Referenced by dxr3_spu_encode().

## ◆ convert_palette()

static void convert_palette | ( | spu_encoder_t * | this | ) |
| static

References OVL_PALETTE_SIZE.

Referenced by dxr3_spu_encode().

## ◆ create_histogram()

static void create_histogram | ( | spu_encoder_t * | this | ) |
| static

References rle_elem_s::color, rle_elem_s::len, lprintf, and OVL_PALETTE_SIZE.

Referenced by dxr3_spu_encode().

## ◆ dxr3_spu_encode()

void dxr3_spu_encode | ( | spu_encoder_t * | this | ) |

References convert_clut(), convert_overlay(), convert_palette(), create_histogram(), generate_clut(), lprintf, and map_colors().

Referenced by dxr3_overlay_end().

## ◆ dxr3_spu_encoder_init()

spu_encoder_t * dxr3_spu_encoder_init | ( | void |  | ) |

References lprintf, and NULL.

Referenced by dxr3_overlay_begin().

## ◆ generate_clut()

static void generate_clut | ( | spu_encoder_t * | this | ) |
| static

References DIST_COEFF, lprintf, and OVL_PALETTE_SIZE.

Referenced by dxr3_spu_encode().

## ◆ map_colors()

static void map_colors | ( | spu_encoder_t * | this | ) |
| static

References OVL_PALETTE_SIZE.

Referenced by dxr3_spu_encode().

## ◆ write_byte()

static void write_byte | ( | spu_encoder_t * | this,
|  | int * | offset,
|  | uint8_t | byte )
| static

Referenced by convert_overlay().

## ◆ write_nibble()

static void write_nibble | ( | spu_encoder_t * | this,
|  | int * | offset,
|  | int * | higher_nibble,
|  | uint8_t | nibble )
| static

Referenced by convert_overlay(), and write_rle().

## ◆ write_rle()

static void write_rle | ( | spu_encoder_t * | this,
|  | int * | offset,
|  | int * | higher_nibble,
|  | int | length,
|  | int | color )
| static

References _x_assert, and write_nibble().

Referenced by convert_overlay().